=== debian/changelog ===
fight2048 (1.0.0maemo5) unstable; urgency=low

  * Fix description and how to play dialogs
  * Added quit button

 -- Paul Healy <bugzillabeast@hotmail.co.uk>  Sun, 27 Apr 2014 21:36:39 +0100
