=== debian/control ===
Source: fight2048
Section: user/games
Priority: extra
Maintainer: chanxi <chanxi@dunno.org>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: fight2048
XB-Maemo-Display-Name: fight2048
Architecture: armel
Depends: ${shlibs:Depends},${misc:Depends}, libqtm-12
Description: 4 x 4 puzzle game
 The player needs to use the arrow keys to move the tiles to the desired direction. Number tiles that match will merge and form the sum of their parts. Every time the player makes a move, a new tile will appear in a random square and when the board is filled up, the game is over. The goal of the game is to create a tile with 2048 value.
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=92937
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3gQDCyYyBInj
 lAAAEJlJREFUeNrlm2tsXdWVx3/7vK4f1287ifNyEseJnZAQkjshpKE4BUIB
 uU1nEExhNHSoKBqNRp3vlSoNUqX5Mh/ot8KoKtI0JW1JAQMBAsQJDZDi8AqE
 GBscOwkhfj/v65y993w4555c29f2tRNgqm7pyL7n3nP2Xv+91tprrf3fgq+g
 tbe1WoAFmIAd3M78JZ1KMTkxMeWZ4mgUJxLJvuVm/ZWAF2tu8a71WMUiBSTW
 3JL92QTWArVAHdAINAA1wMZA+JoFAtAfCN8R/N8JnAV6gEtAd6y5Rc42pq8U
 gKxObwTuAbYAqwMAyud7Lk8AZmsjAQC9wGngj7HmlpNfuQZkI9ze1nof8PNA
 6CLAWEinVwlAdlNAPADj0Vhzy8GFasNCADCA24HHArVGCIHSGiklWmmkUlim
 iWEIDMO45gAopZBKoZTCEAaGITBNM/snHcBPgSOx5hZ11QBkkGxva60DfgY8
 nBFca83FS310n7/I5b5BxsYnGBoeZUXtUkpKiqivW0X92lVEHAel1KIBEEIg
 peLznvN83nORvoEhhoZHKIkWU1FeyppVy9lQv4ZocSFK6cxjTwC/iDW39Myn
 DWIO4UWsuUW3t7XuBX4VODWEgFTa5ZWjb/HBmQ4Gh0YxTAOBCDRCoZWmIOKw
 emUt9+2/g6qKcqSUiwJASslLr5/g7VOnSSSTCCGCCQCtfYEbG9aw/87vUFNV
 Ed4LnOYjseaWoxlZ8gYga+b3Aq8ES1qohodf+zPH3joVqrnWOpxlwzAQQoT3
 K8pL+fcf/5BocVE4uHwBsC2LZw6/TttbpzCz+pJKYQgxpf+l1ZU88uA9FBcV
 Zb/CA/YFIOTUBDMXAI//5nc5hRdC0PvFlzx58HkiEQcAyzSpr1tJ8+4Ymzau
 A6UZGZtAa40QgmQqzejYOFs3NZCZHCklbjo9pU/HcTAt68rATJOOz87x1DMv
 Y9tWcM+gYW0dt9+yi6qKMgaHR0mnXYQQDI+OYyBo2rA2WwsM4IGf/Oj+P8ea
 W87lktWaRQPqArWf8r1lWRw+8gaFBZFQG+7a921uu+UmXM8DDbfcFOODMx0c
 fOZlEskUGvjiyz76BoaorqxY0PJ06IXXQ6CllPz9Xd9h756dpNIulmVy867t
 /PJ/fsf4xCSOY9P2Vjvf3r2D0pJoNggW8Kv2ttbbY80tPdP7MaarfuDtf5ax
 +ezZn5yM03XuAqZpIKWksWEtzXt2Ek8kcV0P1/NIpdNs2lDP5o31oSB9A8P0
 DQyHpjFfMwyDnguXGJ+YDIRXNG1YR2zbZibjCTzPI5lMUVFexv4795JMpULY
 jr91CseeMa8NwM/a21qN9rbW2QEIbOT2jLefDsD45GSIrOtJdsW24rleTgGW
 L63BNP3Xu66H6+YfxZqGwceffuZrVTD7mzfWz1hapZSsq1tJdUU5WmtM0+D9
 jz9F537tw8Dt0/1ArsX6sZyzIgSX+wdDp6O1JlpUNFtnxJPJECzfcy8sPOsf
 GA4da2VFGSuW1eTUIMe22bh+DTL4red5DA2PzqZtj+U0gYxaBBHextmCkNql
 NdywpZFt123kxu1bqF1SnW1robDxRILOz3uR0h9UeWmU8tKSvOWPx5Mkksnw
 c1FhAYWFhTP68rVNUF5WGn6nlGJ4ZFYANgYyhjJbWapPEN7mjsK0prK8jIfu
 3w/an6V02p2h+pll8vwXl8OAqbyslKrK8pwC5Gqu54Ymo7UfUxQEzjCXaRYW
 RsiootaQdr25NO7nwMGMzMa0xGb1XAPTWpNOu6Rdd4bwjm3T1z/If/3y17x9
 6nSovqZhsOP6JkpLovnnCung/YEUjmPjOPasDrOkuBgdICCVpH9gaC6HuzqQ
 dcYyeE+Q2Cy4TUwmOPbm8RnBkWEYbN/axC27YwtyglqDXojLmCZsVkicqxUF
 sp4MAQjy+S0Lyeos02RsfIKPP/2MY2+e4uKlvnDN9qSksryUm3ZsZd/e3QsS
 PhMEmaYRoqCUnlUorTWprKBquknkUhpgS3tbqxlrbpEZDVg7n/pPF/7c+Yu8
 8Oqf6eo+jxAQiThIpZCe5OZdN3BT7HpW1C5ZsPAABQUOBZEIGWeTSqVJpVJE
 cpiB0prxiclQCwzDoCLLKc5mBoHMXRkAaoMrr9Z1rpcDTx9mdGIyXOtT6TT1
 q1fyj/9wJ5VlpUGwpBZjUVc0IEi+kqkUyWSaXAuJ1pp4IoUI0hpfAwrmM6GM
 vCEAdflUcnx7j/O7Qy8xMjYe2nt5aQl33baHG7Y0hVmf1iy6FRZEiGYlNWPj
 k4yNT7B0SdWMmVVS0dc/eEUDhKCsNDqfBpQHMr9hBAXMxvxmxuD5I8foHxzG
 MAxcz2PDujr+7aH7iF2/eUrKezVNSkVjwxps21f5yUSCcxcuzagrCCGYiMfp
 +LwH0zTQWlNZUUZleVk+S25je1urZQSOsCGf+Pxy/yDvvH8Gx7HxPMmOLU38
 +IEfsKSmCiEEEcfJeTmOjbGAUFApxYb6ujBXty2Lv7x3mngiGWqdACzL5NVj
 byM9GUSBkj07t5HOz+80AFamdF2Tj+N798NPMIRxJTmKJ3i69ci8aDuOze6d
 26iqyMvK0FpTEo1yU2wrR0+0Y5oGw6PjHHj6Re7dfwdLq6twPY9nXnydUx9+
 gm1baK0pLY0Su34znpcXADWAaQUl6435qH9n93kMQ4Sfu86dp7O7d96eUmmX
 VStqqa6syDsa9DyPfXt3c+rDTxifiGMafn+P/vevKI1GSaZSeFKGhRJPSn64
 /w5U/s5nI2Ab0zct5go2LvcP+oVJKZFSopQKE6P5roU2rTWObfPgfd+jtKQY
 1/UQQmBbFvFEAqU0ZhB6A9x28400rKtbSF92JhCy8zEBT0p2btsc5OgL205Q
 WlFVWcbC4jvfF9StrOWh+/dz4uR7vNn+4RQBpZQ0rF3Nnl03sHXThrzrDVkm
 YIv2ttYaoC8/7ywXNZuZtT0zwMWUxT0pSaddei9ewhAGSiuqK8spiUZzBkh5
 tiXWQoX4ppplmliFJk0N66aYyVW/l7+ydi2Enq8i9M00Ib4ZzRLfRMe5+gzK
 6F87APHJya+90/S0PQGARDx+zULpBQGQiMe/biOGYHtr+gqTmJz82k3h6zeB
 WfoTQnwjfuD/jxP8ppbXr2KZSgUFU8sysa5h7CClRGm/PGYIgTAEZtZm7KIA
 KCktvXZoWhbt73/MkeMnMQzB1qYGvvudb01xbkIIkokEqVRqysCdSISCgoKc
 +wyTiQSdn/XSff4iiUSSoZExSqLFFBUVsHxJDRvq66Zvjec/ZttxXHwSUs3V
 CG+aJhcufslzR46TSKZQStF78UucSGRGemorNWMlsB0Hy7ZnCD82PsGBQy/R
 3XsRqVTAQwBNP2hNO5+w5N0K9jXvZvvWpoWA0A+4VvCAe3V+TeC6Lr/5/XOk
 Uq6fomp/1yZnNphrkNN+J4S///jYEwcYG59ACIFlmiilfBMwBEZgXoPDo/z2
 0IsUFRXQWL8m35TYzTjBDBXtquz+0IuvMTo2fs0cuWM7HDx0OHin/9KI47Dn
 77bx4L0t3LJrB9HionACTMPg1weeIe15+fqEDsC18EmI/Vcz2I/OdvHe6bNc
 qzBdCMHoxARnP+/BMPxaX3FRIf/xkweoqa5ESknshs3cfce3+eXjB7hw6XJY
 ozzb2c226zbieTIfE5AGPo2kc7GDjSeSvPDqG6TS7hSqzNUC0N8/FFYdpFRc
 17ie4uIiUqk0nidJpdIYwuDOW/eQdn0LNg2Dc70X52SoZbVOwDMC+unZxQy0
 IOLwv394noGhEUzDwLYsVq9YdtUgiKDAqfUVE6uuqphRWFVKUVNVPmXXSOdf
 dDkba27xMlD14DMwF7TkvfDqG3z6eQ9moH7/+i/3UhCJXHXKqoHCwkjoTwzD
 oLvnAslUOmSJZez81AdnsCwzAESzZuXyfCZgJJA5DIQuBVdeZVvTNOno6ubV
 4yexLL8ie+uendStqEVrxVUycFFKsXL5UmqqK+m5cAnTNHjvow5sy2T79Zsp
 LizAk5KOrnMcPfEOjm2jlKKwwKFxw7p8dqQy8oYAdOPTTZvyclBj47xw5Hig
 epplS6q5edf2a5rOaqW593v7+M1TzzIwNEpBxOHdjzr44EwXJcWFpF2PeDKJ
 ZZp+STxazA/uvpUCxwnZInO03kBmPxcIWNen8bm384ajbSfe4fylPoQA27b4
 /nebKSst4VrWaqRSrKhdwt49O3E9NyyLCQET8QRp1w3DbKUUq1bWsn7tqnyE
 V8DpDNM8213+EZ94POfsd3Wf51hAXFRKcdOOrWzaUH9NvP90H/Ps4aMcOPQi
 EecKO8S2LJ8wYV/ZbTJNk9NnOnns8d+Sdt35NDEeyDo1GYo1t5xsb2vtBTbl
 TBsNg/7BYZ7602GEuEKT23/3rXhSYlkmtpWp/F4hR9mW6fvmgEydr48529nN
 GyffI+I4Idli66YGrt+0geKiQqRSdHb3cuqDMwyPjmNZJn0Dwzx7+CgP3HP3
 DAZLtvpn0+szBIkMT+hR4KmckZlj84fnXmEinvCDDlezYmkNx0+0+15f+Ovw
 0Mg4IliHh0bGaTvxDp4nWbakmrVrVua1R6iU4uS7p6ewzG7ZvYPv7v0WZmDz
 QsCGdXVsrF/DkwefI55IYlkmpz/pYnhkbAo1d1p7NFvmKSSpWHPLwfa21v8k
 x1aZIUS4Kwy+7b/xl/dyDj4j5PDoKM+9cgwpFTdc10jdquUY1vzpcTKVYjKe
 COm2VRVlbN/ShAh8UHZbvWIZO7Zuou3Ndn85FDAwOExptBg5E4COzJmCGSSp
 rPbT+eL+zOV5csaV3afWhPf9gefnJhOJJIlEEgKWWVlplLKSaO6nA0pMdgA0
 Rxzy0zkLIgF37gg+3/7hqd5fsX7taibnqCEKIbjwxWXiCZ/jV1RYwMrlS5FS
 snwWomOuVlRYSFFRQVgpnpiMMxlPUFDg5Mw3pvOHhBC5wHoCODKdNT4FgOAL
 1d7W+gugmSzeQCqd5r7v34FUcg7PbfL4k3+k69wFAJbVVPHQ/fvxPIlpGuHW
 +nwtErGnVJL6BobpOneeJdWVeFkmYBgGbjrNxx2fZdHpfWbpNC3oxD9AofKq
 CQas6keCRCmrQ393drbLsewpiYhhGDiWjW1ZeQufWQUaG9aGIS7AoRde4/hb
 pzBNA9u2KIg4DI+O8eRTz/LFl30BSVPTtH7NdFKmh39woifvmmCgJkfb21r3
 Me3MwHwx/FQ714sKjqRU3Lh9C8fffncK7/dPh1/n6RdfY/XyZYyMjjM6MeGD
 G6TMpmlw1+03ZxO45z0wMZsGZI7MHAX25Zsui8AelVb+pfSisgKtNbZl8cg/
 30PdytrwsJRpmtiWxcUv+4gnkzhBCc11PUqixTz8Tz+gqqI8UxHqzBJezHZu
 aNY1KTg1Qqy55dxPfnT/c0AxsGO+kn//4AgTE3GiRYU0Nqxl/bpVM7xyPidG
 tNYUFRZyXdN6KspLSSSS9A0M40np8xGlwvU8HMcmtm0z379zb3Ym+ATwcKy5
 5f1FH5rKYRYzjs3lap6UYTVmtrL4QvkBWmtc1yOeSHB5YAiBQOMzSJYtqca2
 rUw/Cz42t5B9ARVrbnkZn14268FJy7y2ewGZZS1DmK4oL5syJq11zoOTCym+
 LLr9TR2dzbFKZH/+2zw8PQdAfzXH5/8PBPVcADe41I8AAAAASUVORK5CYII=
