=== debian/changelog ===
fight2048 (1.0.0-2) unstable; urgency=low

  * Initial release

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 20:56:35 +0200
