## fight2048 1.0.0-3

=== Makefile ===
--- 
+++ 
@@ -248,7 +248,7 @@
 
 install_itemfolder_01: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/fight2048/qml/ || $(MKDIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 
-	-$(INSTALL_DIR) /home/arno/fight2048/qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/
+	-$(INSTALL_DIR) ./qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/
 
 
 uninstall_itemfolder_01:  FORCE
@@ -258,7 +258,7 @@
 
 install_icon: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
-	-$(INSTALL_FILE) /home/arno/fight2048/fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
+	-$(INSTALL_FILE) ./fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
 
 
 uninstall_icon:  FORCE
@@ -268,7 +268,7 @@
 
 install_desktopfile: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/arno/fight2048/fight2048.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
+	-$(INSTALL_FILE) ./fight2048.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_desktopfile:  FORCE
