=== debian/changelog ===
fight2048 (1.0.0-3) unstable; urgency=low

  * Missing icon and desktop file

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 21:56:35 +0200
