=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fight2048
 XB-Maemo-Display-Name: fight2048
 Architecture: armel
-Depends: ${shlibs:Depends},${misc:Depends}, libqtm-12
+Depends: ${shlibs:Depends},${misc:Depends}, libqtm-11
 Description: 4 x 4 puzzle game
  The player needs to use the arrow keys to move the tiles to the desired direction. Number tiles that match will merge and form the sum of their parts. Every time the player makes a move, a new tile will appear in a random square and when the board is filled up, the game is over. The goal of the game is to create a tile with 2048 value.
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=92937
