## fight2048 1.0.0-4

=== debian/changelog ===
fight2048 (1.0.0-4) unstable; urgency=low

  * removed meego components

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 22:56:35 +0200
